### Method

# Camel BlockFile unref_block

#### Declaration [src]

    void
    camel_block_file_unref_block (
      CamelBlockFile* bs,
      CamelBlock* bl
    )

#### Description [src]

Mark a block as unused. If a block is used it will not be written to disk, or flushed from memory.

If a block is detatched and this is the last reference, the block will be freed.

#### Parameters

`bl`

  Type: `CamelBlock`

  A `CamelBlock`.

  The data is owned by the caller of the method.